summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-sound/pulseaudio-modules-bt/Manifest1
-rw-r--r--media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r1.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/media-sound/pulseaudio-modules-bt/Manifest b/media-sound/pulseaudio-modules-bt/Manifest
index 17fa33e18c6..5558a7f3df3 100644
--- a/media-sound/pulseaudio-modules-bt/Manifest
+++ b/media-sound/pulseaudio-modules-bt/Manifest
@@ -1,2 +1,3 @@
DIST pulseaudio-13.0.tar.xz 1901768 BLAKE2B 651a80f54525f196bcb036d893fedd4d9f34e10459918281397a45f498c31bff0d0c836f4e64aab5ac2612ffd5a0cab1a41ea710bbee5fd34dfc9ea1236deea9 SHA512 d445b8ccd43029a0ca0e456fc9291a79d3434d6496ead7eb329ab348d5249235e8bde6cf2be68765d8f761452dbe1486fb10c739e40b1e67ed75787bbd24ac0c
+DIST pulseaudio-15.0.tar.xz 1521760 BLAKE2B a6f7b74fdcfe7f2a993eafb9f465946915a24b6801d3077971b9377290d6c70b3f8640a800abd09d5901db96a20349f31b1beedd9da2249f69b591fb8392f489 SHA512 352ef20384c76c631c0faa73b08e2318902a433712e0c086a5ac7a0ae58873c8d4be8f35879bdec71a93b19ae8e2ba073cacac4d56215bcf58375a0cd9d88833
DIST pulseaudio-modules-bt-1.4.tar.gz 87558 BLAKE2B 98b21d8fced5b88d59e45ca4fa2505d3606616a8a09dd95eb91e30b0d31c8a0ec7e52e4c2fd1b601130f69a997871064849fa0c8847ec0686fb42a2ccd7ac43b SHA512 390b6ad0931b464a546c6624bec38cc5b6da7084e4defe2045f4164b0c910a9dd6d4327466eb0e53fcfbc78c995cf2e3634a75b67ee2a14f38ed18e31b5d2bce
diff --git a/media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r1.ebuild b/media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r1.ebuild
new file mode 100644
index 00000000000..dd8941809a3
--- /dev/null
+++ b/media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 2019-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit cmake readme.gentoo-r1
+
+DESCRIPTION="PulseAudio modules for LDAC, aptX, aptX HD, and AAC for Bluetooth"
+HOMEPAGE="https://github.com/EHfive/pulseaudio-modules-bt"
+
+PULSE_VER="15.0"
+SRC_URI="
+ https://github.com/EHfive/pulseaudio-modules-bt/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://freedesktop.org/software/pulseaudio/releases/pulseaudio-${PULSE_VER}.tar.xz
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="fdk +ffmpeg +ldac +native-headset ofono-headset"
+
+DEPEND="
+ fdk? ( media-libs/fdk-aac:0= )
+ ffmpeg? ( media-video/ffmpeg )
+ media-libs/sbc
+ ldac? ( media-libs/libldac )
+ >=net-wireless/bluez-5
+ >=sys-apps/dbus-1.0.0
+ ofono-headset? ( >=net-misc/ofono-1.13 )
+ >=media-sound/pulseaudio-${PULSE_VER}[-bluetooth]
+"
+# Ordinarily media-libs/libldac should be in DEPEND too, but for now upstream repo is using a ldac submodule instead.
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+DISABLE_AUTOFORMATTING="no"
+DOC_CONTENTS="
+After getting media-sound/pulseaudio merged without its bluetooth
+support (to not collide with this) you may have removed the loading
+of bluetooth modules in default.pa config file, leading to failure
+to use your bluetooth device (see
+https://github.com/EHfive/pulseaudio-modules-bt/issues/33).
+Please ensure you have this lines present in your /etc/pulse/default.pa
+file:
+
+.ifexists module-bluetooth-policy.so
+load-module module-bluetooth-policy
+.endif
+
+.ifexists module-bluetooth-discover.so
+load-module module-bluetooth-discover
+.endif
+"
+
+src_prepare() {
+ cmake_src_prepare
+
+ # pulseaudio headers needed to build
+ rmdir pa/ || die
+ ln -s ../pulseaudio-${PULSE_VER}/ pa || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCODEC_AAC_FDK=$(usex fdk "ON" "OFF")
+ -DCODEC_APTX_FF=$(usex ffmpeg "ON" "OFF")
+ -DCODEC_APTX_HD_FF=$(usex ffmpeg "ON" "OFF")
+ -DCODEC_LDAC=$(usex ldac "ON" "OFF")
+ -DNATIVE_HEADSET=$(usex native-headset "ON" "OFF")
+ -DOFONO_HEADSET=$(usex ofono-headset "ON" "OFF")
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}